package application;

import javafx.animation.AnimationTimer;
import javafx.application.Application;
import javafx.stage.Stage;
import model.Manipulator;
import javafx.scene.Scene;

public class Main extends Application {

	private Manipulator m;

	@Override
	public void start(Stage primaryStage) {
		try {

			m = new Manipulator(100, 80, 60, 10, 250, 250);

			var scene = new Scene(m.getGroup(), 500, 500);

			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());

			primaryStage.setTitle("Manipulator");
			primaryStage.setScene(scene);
			primaryStage.show();

			animate1(m);

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		launch(args);
	}

	public void animate1(Manipulator m) {

		AnimationTimer timer = new AnimationTimer() {
			int i = 360;

			@Override
			public void handle(long now) {
				m.rotate();
				i--;
				if (i == 0)
					stop();
			}
		};
		timer.start();
	}

	// JavaFX dziaa w osobnym wtku.
	// Odwieanie wzw sceny powinno odbywa si wanie w tym wtku.
	// Uruchomienie animacji z pomoc wtku spoza JavaFX moe powodowa problemy.
	// Ponisza metoda "dziaa", ale tylko wtedy, gdy focus
	// jest ustawiony na oknie aplikacji.

	public void animate2(Manipulator m) {
		Thread t = new Thread(new Runnable() {
			public void run() {
				int i = 360;
				while (i > 0) {
					m.rotate();
					i--;
					try {
						Thread.sleep(10);
					} catch (Exception e) {
					}
				}
				System.out.println("Animation stopped");
			}
		});
		t.start();
	}

}
