package model;

import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.scene.transform.Rotate;
import javafx.scene.transform.Scale;
import javafx.scene.transform.Translate;

public class Manipulator {

	private Group g = null;
	
	private Translate t0, t1, t2, t3; 
	private Scale s;
	private Rotate r1, r2, r3;
	
	public void rotate() {
		r1.setAngle(r1.getAngle()+1);
		r2.setAngle(r2.getAngle()+1);
		r3.setAngle(r3.getAngle()+1);
	}

	public Group getGroup() {
		return g;	
	}
	public Manipulator(int l1, int l2, int l3, int h, int dx0, int dy0){
		
		t0 = new Translate(dx0,dy0);
		s = new Scale(1,-1);

		r1 = new Rotate(0);
		t1 =  new Translate(l1,0); 
		
		r2 = new Rotate(0);
		t2 =  new Translate(l2,0); 
		
		r3 = new Rotate(0);
		t3 =  new Translate(l3,0); // t3 nie jest uyte
		
		Rectangle arm1 = new Rectangle(l1, h);
		arm1.setFill(Color.BROWN);
		arm1.setStrokeWidth(20);

		arm1.getTransforms().addAll(t0,s,r1);
		
		Rectangle arm2 = new Rectangle(0, 0, l2, h);
		arm2.setFill(Color.BROWN);
		arm2.setStrokeWidth(20);

		arm2.getTransforms().addAll(t0,s,r1,t1,r2);
		
		Rectangle arm3 = new Rectangle(0, 0, l3, h);
		arm3.setFill(Color.BROWN);
		arm3.setStrokeWidth(20);

		arm3.getTransforms().addAll(t0,s,r1,t1,r2,t2,r3);
		
		g = new Group();
		g.getChildren().addAll(arm1,arm2,arm3);	
	    

	}
}
